if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

( cd usr/share/xournal/html-doc ; rm -rf pixmaps )
( cd usr/share/xournal/html-doc ; ln -sf ../pixmaps pixmaps )
( cd usr/share/icons/hicolor/scalable/mimetypes ; rm -rf gnome-mime-application-x-xoj.svg )
( cd usr/share/icons/hicolor/scalable/mimetypes ; ln -sf xoj.svg gnome-mime-application-x-xoj.svg )
